## shadowsocks-libev-3.1.3-85a64ae8360759aa59ebe3061c092c9a2054d078.tar.xz

=== libipset/tests/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

include_directories(../include)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../src)

#-----------------------------------------------------------------------
# Check for prerequisite libraries

find_package(PkgConfig)
find_package(Threads)

pkg_check_modules(CHECK REQUIRED check)
include_directories(${CHECK_INCLUDE_DIRS})
link_directories(${CHECK_LIBRARY_DIRS})

#-----------------------------------------------------------------------
# Build the test cases

macro(make_test test_name)
    add_executable(${test_name} ${test_name}.c)
    target_link_libraries(${test_name} ${CHECK_LIBRARIES} libipset ${CMAKE_THREAD_LIBS_INIT})
    add_test(${test_name} ${test_name})
endmacro(make_test)

# Add calls to make_test for each .c test case in the tests/ directory.
make_test(test-assignment)
make_test(test-bdd)
make_test(test-ipmap)
make_test(test-ipset)
make_test(test-iterator)

#-----------------------------------------------------------------------
# Command-line tests

if(TILERA)
    configure_file(tile-test ${CMAKE_BINARY_DIR}/tile-test COPYONLY)
endif(TILERA)

find_program(
    CRAM_EXECUTABLE
    NAMES cram
    HINTS ENV CRAM_DIR
    PATH_SUFFIXES bin
    DOC "Cram test harness"
)

if (CRAM_EXECUTABLE)
    configure_file(ccram ${CMAKE_BINARY_DIR}/ccram COPYONLY)
    add_test(
        cram-tests
        ${CMAKE_COMMAND} -E chdir ${CMAKE_BINARY_DIR}
        ${CMAKE_BINARY_DIR}/ccram
            --cram ${CRAM_EXECUTABLE}
            --tests ${CMAKE_CURRENT_SOURCE_DIR}
    )
else (CRAM_EXECUTABLE)
    message(WARNING "Unable to find cram test harness; skipping tests.")
endif (CRAM_EXECUTABLE)

=== debian/control ===
Source: shadowsocks-libev
Section: net
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Uploaders: Max Lv <max.c.lv@gmail.com>, Boyuan Yang <073plan@gmail.com>
Build-Depends:
 asciidoc-base | asciidoc,
 debhelper (>= 10),
 libc-ares-dev,
 libev-dev,
 libmbedtls-dev,
 libpcre3-dev,
 libsodium-dev (>= 1.0.12),
 pkg-config,
 xmlto
Standards-Version: 4.1.1
Homepage: https://www.shadowsocks.org
Vcs-Git: https://github.com/shadowsocks/shadowsocks-libev.git
Vcs-Browser: https://github.com/shadowsocks/shadowsocks-libev

Package: shadowsocks-libev
Replaces: shadowsocks (<< 1.5.3-2)
Breaks: shadowsocks (<< 1.5.3-2)
Architecture: any
Depends:
 apg | pwgen,
 libcap2-bin [linux-any],
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 haveged,
 kcptun,
 simple-obfs
Description: lightweight and secure socks5 proxy
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.

Package: libshadowsocks-libev-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Breaks: shadowsocks-libev (<< 2.4.0)
Depends:
 libshadowsocks-libev2 (= ${binary:Version}),
 ${misc:Depends}
Description: lightweight and secure socks5 proxy (development files)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.
 .
 This package provides C header files for the libraries.

Package: libshadowsocks-libev2
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libshadowsocks-libev1
Breaks:
 libshadowsocks-libev1,
 shadowsocks-libev (<< 2.4.0)
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight and secure socks5 proxy (shared library)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.
 .
 This package provides shared libraries.
